Bug 22056 - Remove test/search.pl
Summary: Remove test/search.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Hayley Mapley
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-02 05:48 UTC by David Cook
Modified: 2019-04-26 15:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22056: Removed test/search.pl (2.56 KB, patch)
2019-04-16 02:51 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22056: Removed test/search.pl (2.60 KB, patch)
2019-04-19 18:13 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22056: Removed test directory, including search.pl and README (2.91 KB, patch)
2019-04-26 03:24 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22056: Removed test directory, including search.pl and README (2.96 KB, patch)
2019-04-26 05:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2019-01-02 05:48:39 UTC
As far as I can tell, the "test/search.pl" script isn't used for anything and can be removed.
Comment 1 Hayley Mapley 2019-03-07 21:41:45 UTC
sorry for the noise, mistake
Comment 2 Hayley Mapley 2019-04-16 02:51:41 UTC
Created attachment 88040 [details] [review]
Bug 22056: Removed test/search.pl

test/search.pl is old, and does not appear to be used anywhere. This
patch removes this file.

Test plan:
Verify that test/search.pl has been removed.

Sponsored-by: Catalyst IT.
Comment 3 Bin Wen 2019-04-19 18:13:47 UTC
Created attachment 88368 [details] [review]
Bug 22056: Removed test/search.pl

test/search.pl is old, and does not appear to be used anywhere. This
patch removes this file.

Test plan:
Verify that test/search.pl has been removed.

Sponsored-by: Catalyst IT.
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 4 Katrin Fischer 2019-04-24 21:20:53 UTC
Hi Hayley, I think if we decide to remvoe the script, we should also remove the directory test and the README file. What do you think?
Comment 5 Katrin Fischer 2019-04-24 21:22:06 UTC
Adding Jonathan and Tomas as I can see them in the history for these files.
Comment 6 Jonathan Druart 2019-04-24 21:42:46 UTC
Added by bug 5309.

See also:
commit f8a58d310ee96a4bf272c9ae16dc347bf1d0e4ea
Author: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Date:   Mon Aug 17 13:54:44 2015 +0200

    Bug 14321: Final cleanup, removing obsolete files

    The new Upload.pm, unit test and file-upload.js obsolete a number of
    files, including an older jQuery plugin.
    The test files progressbar.pl and progressbarsubmit.pl are outdated and
    do not serve any purpose in this form. (Actually, we could argue if they
    should be here or just be part of a debugging phase.)

I am fine with removing -r search/
Comment 7 Hayley Mapley 2019-04-26 03:24:28 UTC
Created attachment 88841 [details] [review]
Bug 22056: Removed test directory, including search.pl and README

Test plan: Check that this directory has been removed.

Sponsored-by: Catalyst IT
Comment 8 Katrin Fischer 2019-04-26 05:57:49 UTC
Created attachment 88844 [details] [review]
Bug 22056: Removed test directory, including search.pl and README

Test plan: Check that this directory has been removed.

Sponsored-by: Catalyst IT

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-04-26 05:58:13 UTC
Going straight to PQA here, thx Hayley!
Comment 10 Nick Clemens 2019-04-26 12:41:17 UTC
Awesome work all!

Pushed to master for 19.05
Comment 11 Martin Renvoize 2019-04-26 15:57:41 UTC
Prefer not to tidy out during stable cycle.